Update keyword
curl --request PUT \
--url https://apimgmt.cometchat.io/apps/{appId}/moderation/keywords/{keywordId} \
--header 'Content-Type: multipart/form-data' \
--header 'key: <key>' \
--header 'secret: <secret>' \
--form 'searchTerms=AI-powered video moderation to detect unsafe content.' \
--form 'file=<string>' \
--form id=ID-of-the-word-list \
--form 'name=Name of the word list' \
--form 'description=Description of the word list' \
--form 0.file='@example-file' \
--form 1.file='@example-file' \
--form 2.file='@example-file'import requests
url = "https://apimgmt.cometchat.io/apps/{appId}/moderation/keywords/{keywordId}"
files = {
"0.file": ("example-file", open("example-file", "rb")),
"1.file": ("example-file", open("example-file", "rb")),
"2.file": ("example-file", open("example-file", "rb"))
}
payload = {
"searchTerms": "AI-powered video moderation to detect unsafe content.",
"file": "<string>",
"id": "ID-of-the-word-list",
"name": "Name of the word list",
"description": "Description of the word list"
}
headers = {
"key": "<key>",
"secret": "<secret>"
}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('searchTerms', 'AI-powered video moderation to detect unsafe content.');
form.append('file', '<string>');
form.append('id', 'ID-of-the-word-list');
form.append('name', 'Name of the word list');
form.append('description', 'Description of the word list');
form.append('0.file', '{
"fileName": "example-file"
}');
form.append('1.file', '{
"fileName": "example-file"
}');
form.append('2.file', '{
"fileName": "example-file"
}');
const options = {method: 'PUT', headers: {key: '<key>', secret: '<secret>'}};
options.body = form;
fetch('https://apimgmt.cometchat.io/apps/{appId}/moderation/keywords/{keywordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "profanity-list",
"name": "Profane Words",
"category": "word",
"isCSV": false,
"searchTerms": [
"fuck",
"nigger",
"fuck",
"nigger",
"wanker",
"cunt",
"damn",
"shit",
"fag",
"shithead",
"jizz",
"hellbitch",
"retard",
"cocksucker",
"cock",
"kill",
"cunt",
"kike",
"twat",
"bastard",
"death",
"asshole",
"wop",
"scumbag",
"penis",
"murder",
"dick",
"gook",
"vagina",
"rape",
"bastard",
"spic",
"spunk",
"beat"
],
"createdAt": 1718354412,
"updatedAt": 1718354412,
"revisionId": "253157108b5294c4_profanity-list_1",
"active": true,
"default": true
}
}Moderation
Update keyword
Update an existing keyword list.
PUT
/
apps
/
{appId}
/
moderation
/
keywords
/
{keywordId}
Update keyword
Path Parameters
Keyword ID
AppID in which the extension has to be enabled/disabled
Body
multipart/form-data
- Option 1
- Option 2
- Option 3
Type of entries in the list
Available options:
word, pattern, sentence-similarity Comma-separated values of keywords or regex patterns if no file is provided.
Example:
"AI-powered video moderation to detect unsafe content."
CSV file containing the keywords or regex patterns for the list.
Unique identifier for the word list.
Example:
"ID-of-the-word-list"
Descriptive name for the word list.
Example:
"Name of the word list"
Detailed explanation of the word list's purpose.
Example:
"Description of the word list"
Response
200 - application/json
Update Keyword
Show child attributes
Show child attributes
⌘I